using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


public class acilma3 : MonoBehaviour
{
   
    public Image fadeImage; // UI Image (Canvas üzerindeki Image)
    public float fadeDuration = 1f; // Fade süresi (saniye)

    private void Start()
    {
        StartCoroutine(FadeOut());
        StartCoroutine(FadeIn());
    }

    private IEnumerator FadeOut()
    {
        yield return new WaitForSeconds(4f);
        float elapsedTime = 0f;
        Color color = fadeImage.color;

        while (elapsedTime < fadeDuration)
        {
            elapsedTime += Time.deltaTime;
            color.a = Mathf.Clamp01(elapsedTime / fadeDuration); // Alfa değerini artır
            fadeImage.color = color;
            yield return null;
        }

        // Alfa değerini tamamen 1 yap (tamamen görünür hale getir)
        color.a = 1;
        fadeImage.color = color;
    }

    private IEnumerator FadeIn()
    {
        yield return new WaitForSeconds(10f);
        float elapsedTime = 0f;
        Color color = fadeImage.color;

        while (elapsedTime < fadeDuration)
        {
            elapsedTime += Time.deltaTime;
            color.a = 1 - Mathf.Clamp01(elapsedTime / fadeDuration); // Alfa değerini düşür
            fadeImage.color = color;
            yield return null;
        }

        // Alfa değerini tamamen sıfır yap (görünmez hale getir)
        color.a = 0;
        fadeImage.color = color;
    }
}